<?php
$zing_forum_name = "Zingiri Forum";
$zing_forum_shortname = "zing_forum";
$zing_login_type = array("MyBB");

$zing_forum_options = array (

array(  "name" => "Zingiri Forum Settings",
            "type" => "heading",
			"desc" => "This section customizes the Zingiri Forum area.",
),
array(	"name" => "Type of integration",
			"desc" => "Select the way you want to login.",
			"id" => $zing_forum_shortname."_login",
			"std" => "MyBB",
			"type" => "select",
			"options" => $zing_login_type),
array(	"name" => "URL to MyBB install",
			"desc" => "Specify the full path to your MyBB install including http:// but without trailing /",
			"id" => $zing_forum_shortname."_url",
			"std" => ZING_FORUM_URL.'mybb',
			"type" => "text"),
);

function zing_forum_add_admin() {

	global $zing_forum_name, $zing_forum_shortname, $zing_forum_options;

	if ( $_GET['page'] == basename(__FILE__) ) {


		if ( 'install' == $_REQUEST['action'] ) {
			zing_forum_activate();
			foreach ($zing_forum_options as $value) {
				update_option( $value['id'], $_REQUEST[ $value['id'] ] );
			}

			foreach ($zing_forum_options as $value) {
				if( isset( $_REQUEST[ $value['id'] ] ) ) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
				} else { delete_option( $value['id'] );
				}
			}
			header("Location: options-general.php?page=forum_cp.php&installed=true");
			die;
		}

		if( 'uninstall' == $_REQUEST['action'] ) {
			zing_forum_uninstall();
			foreach ($zing_forum_options as $value) {
				delete_option( $value['id'] );
				update_option( $value['id'], $value['std'] );
			}
			header("Location: options-general.php?page=forum_cp.php&uninstalled=true");
			die;
		}
	}

	add_options_page($zing_forum_name." Options", "$zing_forum_name", 8, basename(__FILE__), 'zing_forum_admin');
}

function zing_forum_admin() {

	global $zing_forum_name, $zing_forum_shortname, $zing_forum_options;
	error_reporting(E_ALL & ~E_NOTICE);
	ini_set('display_errors', '1');

	if ( $_REQUEST['installed'] ) echo '<div id="message" class="updated fade"><p><strong>'.$zing_forum_name.' installed.</strong></p></div>';
	if ( $_REQUEST['uninstalled'] ) echo '<div id="message" class="updated fade"><p><strong>'.$zing_forum_name.' uninstalled.</strong></p></div>';

	?>
<div class="wrap">
<h2><b><?php echo $zing_forum_name; ?></b></h2>

	<?php
	$zing_forum_version=get_option("zing_forum_version");
	if (empty($zing_forum_version)) {
		echo 'Please proceed with a clean install or deactivate your plugin';
		$submit='Install';
	} elseif ($zing_forum_version != ZING_FORUM_VERSION) {
		echo 'You downloaded version '.ZING_FORUM_VERSION.' and need to upgrade your database (currently at version '.$zing_forum_version.').';
		$submit='Upgrade';
	} elseif ($zing_forum_version == ZING_FORUM_VERSION) {
		echo 'Your version is up to date!';
		$submit='Update';
	}

	?> 
<form method="post">

<table class="optiontable">

<?php if ($zing_forum_options) foreach ($zing_forum_options as $value) {

	if ($value['type'] == "text") { ?>

	<tr align="left">
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td><input name="<?php echo $value['id']; ?>"
			id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>"
			value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>"
			size="40" /></td>

	</tr>
	<tr>
		<td colspan=2><small><?php echo $value['desc']; ?> </small>
		<hr />
		</td>
	</tr>

	<?php } elseif ($value['type'] == "textarea") { ?>
	<tr align="left">
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td><textarea name="<?php echo $value['id']; ?>"
			id="<?php echo $value['id']; ?>" cols="50" rows="8" />
			<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes (get_settings( $value['id'] )); }
			else { echo $value['std'];
			} ?>
</textarea></td>

	</tr>
	<tr>
		<td colspan=2><small><?php echo $value['desc']; ?> </small>
		<hr />
		</td>
	</tr>

	<?php } elseif ($value['type'] == "select") { ?>

	<tr align="left">
		<th scope="top"><?php echo $value['name']; ?>:</th>
		<td><select name="<?php echo $value['id']; ?>"
			id="<?php echo $value['id']; ?>">
			<?php foreach ($value['options'] as $option) { ?>
			<option
			<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; }?>><?php echo $option; ?></option>
			<?php } ?>
		</select></td>

	</tr>
	<tr>
		<td colspan=2><small><?php echo $value['desc']; ?> </small>
		<hr />
		</td>
	</tr>

	<?php } elseif ($value['type'] == "heading") { ?>

	<tr valign="top">
		<td colspan="2" style="text-align: left;">
		<h2 style="color: green;"><?php echo $value['name']; ?></h2>
		</td>
	</tr>
	<tr>
		<td colspan=2><small>
		<p style="color: red; margin: 0 0;"><?php echo $value['desc']; ?></P>
		</small>
		<hr />
		</td>
	</tr>

	<?php } ?>
	<?php
}
?>
</table>

<p class="submit"><input name="install" type="submit" value="<?php echo $submit;?>" />
<input type="hidden" name="action" value="install" /></p>
</form>
<?php if ($zing_forum_version) { ?>
<hr />
<p>Please note that the administration in the Zingiri Forum is
separate from
the Wordpress user administration (mainly for security purposes).<br />
<br />
If it's your first time logging in, you can use user <strong>admin</strong>
with password <strong>admin</strong>.</p>
<form method="post"
	action="<?php echo get_option('home');?>/index.php?page_id=<?php echo zing_forum_mainpage()?>&zforum=member&action=login">
<p class="submit"><input name="admin" type="submit" value="Admin" /></p>
</form>
<hr />
<form method="post">
<p class="submit"><input name="uninstall" type="submit"
	value="Uninstall" /> <input type="hidden" name="action"
	value="uninstall" /></p>
</form>
<?php } ?>
<hr />
<p>For more info and support, contact us at <a
	href="http://www.zingiri.com/forum/">Zingiri</a> or check out our <a
	href="http://forums.zingiri.com/">support forums</a>.</p>
<?php
}
add_action('admin_menu', 'zing_forum_add_admin'); ?>